#### D.12.7.7 allrealst

Procedure from library `rootsur.lib` (see rootsur_lib).

Usage:
  allrealst(p); poly p

Return:
  int: 1 if and only if all the roots of p are real, 0 otherwise. Checks by using Sturm's Theorem whether all the roots of p are real

Assume:
  p is a univariate polynomial with rational coefficients

Example:

    LIB "rootsur.lib";
    ring r = 0,x,dp;
    poly p = (x+2)*(x-1)*(x-5);
    allrealst(p);
    ==> 1
    p = p*(x2+1);
    allrealst(p);
    ==> 0

See also: allreal; sturm; sturmha.

User manual for Singular version 4.4.1, 2025, generated by texi2html.